Index: programs/mythbackend/playbacksock.h
===================================================================
--- programs/mythbackend/playbacksock.h	(revision 20066)
+++ programs/mythbackend/playbacksock.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef PLAYBACKSOCK_H_
 #define PLAYBACKSOCK_H_
 
-#include <qstring.h>
-#include <qmutex.h>
+#include <QString>
+#include <QMutex>
 
 #include "programinfo.h"
 
Index: programs/mythbackend/mainserver.h
===================================================================
--- programs/mythbackend/mainserver.h	(revision 20066)
+++ programs/mythbackend/mainserver.h	(working copy)
@@ -1,13 +1,14 @@
 #ifndef MAINSERVER_H_
 #define MAINSERVER_H_
 
-#include <qmap.h>
-#include <qtimer.h>
-#include <qmutex.h>
-#include <qdom.h>
+#include <QMap>
+#include <QTimer>
+#include <QMutex>
+#include <QDomNode>
 #include <QEvent>
 
 #include <vector>
+
 using namespace std;
 
 #include "tv.h"
@@ -21,7 +22,6 @@
 #include "mythdeque.h"
 
 class ProcessRequestThread;
-class QUrl;
 class MythServer;
 
 class MainServer : public QObject, public MythSocketCBs
Index: programs/mythbackend/scheduler.h
===================================================================
--- programs/mythbackend/scheduler.h	(revision 20066)
+++ programs/mythbackend/scheduler.h	(working copy)
@@ -8,10 +8,10 @@
 using namespace std;
 
 // Qt headers
-#include <qmutex.h>
-#include <qwaitcondition.h>
-#include <qmap.h> 
-#include <qobject.h>
+#include <QMutex>
+#include <QWaitCondition>
+#include <QMap> 
+#include <QObject>
 
 // MythTV headers
 #include "scheduledrecording.h"
Index: programs/mythbackend/httpstatus.h
===================================================================
--- programs/mythbackend/httpstatus.h	(revision 20066)
+++ programs/mythbackend/httpstatus.h	(working copy)
@@ -11,8 +11,9 @@
 #ifndef HTTPSTATUS_H_
 #define HTTPSTATUS_H_
 
-#include <qdom.h>
-#include <qdatetime.h> 
+#include <QDomNode>
+#include <QDateTime> 
+#include <QTextStream>
 
 #include "httpserver.h"
 #include "mainserver.h"
Index: programs/mythbackend/autoexpire.h
===================================================================
--- programs/mythbackend/autoexpire.h	(revision 20066)
+++ programs/mythbackend/autoexpire.h	(working copy)
@@ -9,10 +9,10 @@
 #include <vector>
 #include <set>
 
-#include <qmap.h> 
-#include <qmutex.h>
-#include <qwaitcondition.h>
-#include <qobject.h>
+#include <QMap> 
+#include <QMutex>
+#include <QWaitCondition>
+#include <QObject>
 
 using namespace std;
 class ProgramInfo;
Index: programs/mythbackend/backendutil.h
===================================================================
--- programs/mythbackend/backendutil.h	(revision 20066)
+++ programs/mythbackend/backendutil.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef _BACKENDUTIL_H
 #define _BACKENDUTIL_H
 
-#include <qstringlist.h>
+#include <QStringList>
 
 #include "libmythtv/remoteutil.h"
 #include "encoderlink.h"
Index: programs/mythbackend/encoderlink.h
===================================================================
--- programs/mythbackend/encoderlink.h	(revision 20066)
+++ programs/mythbackend/encoderlink.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef ENCODERLINK_H_
 #define ENCODERLINK_H_
 
-#include <qstring.h>
+#include <QString>
 
 #include "tv.h"
 #include "programinfo.h"
Index: programs/mythbackend/playbacksock.cpp
===================================================================
--- programs/mythbackend/playbacksock.cpp	(revision 20066)
+++ programs/mythbackend/playbacksock.cpp	(working copy)
@@ -1,4 +1,4 @@
-#include <qstringlist.h>
+#include <QStringList>
 
 #include <iostream>
 
Index: programs/mythbackend/mythbackend.pro
===================================================================
--- programs/mythbackend/mythbackend.pro	(revision 20066)
+++ programs/mythbackend/mythbackend.pro	(working copy)
@@ -36,3 +36,4 @@
 
 using_valgrind:DEFINES += USING_VALGRIND
 
+QT +=  opengl qt3support 
Index: programs/mythbackend/mediaserver.h
===================================================================
--- programs/mythbackend/mediaserver.h	(revision 20066)
+++ programs/mythbackend/mediaserver.h	(working copy)
@@ -11,8 +11,8 @@
 #ifndef __MEDIASERVER_H__
 #define __MEDIASERVER_H__
 
-#include <qobject.h>
-#include <qmutex.h>
+#include <QObject>
+#include <QMutex>
 
 #include "libmythupnp/upnp.h"
 
Index: programs/mythbackend/upnpcdsmusic.cpp
===================================================================
--- programs/mythbackend/upnpcdsmusic.cpp	(revision 20066)
+++ programs/mythbackend/upnpcdsmusic.cpp	(working copy)
@@ -10,8 +10,11 @@
 
 #include "upnpcdsmusic.h"
 #include "httprequest.h"
-#include <qfileinfo.h>
+
+#include <QFileInfo>
+
 #include <limits.h>
+
 #include "mythcontext.h"
 
 /*
Index: programs/mythbackend/scheduler.cpp
===================================================================
--- programs/mythbackend/scheduler.cpp	(revision 20066)
+++ programs/mythbackend/scheduler.cpp	(working copy)
@@ -1,12 +1,14 @@
 #include <unistd.h>
-#include <qsqldatabase.h>
-#include <qsqlquery.h>
-#include <qregexp.h>
-#include <qstring.h>
-#include <qdatetime.h>
 
+#include <QSqlDatabase>
+#include <QSqlQuery>
+#include <QRegExp>
+#include <QString>
+#include <QDateTime>
+
 #include <iostream>
 #include <algorithm>
+
 using namespace std;
 
 #ifdef __linux__
Index: programs/mythbackend/housekeeper.cpp
===================================================================
--- programs/mythbackend/housekeeper.cpp	(revision 20066)
+++ programs/mythbackend/housekeeper.cpp	(working copy)
@@ -1,15 +1,17 @@
 #include <unistd.h>
 #include <sys/types.h>
 #include <unistd.h>
-#include <qsqldatabase.h>
-#include <qsqlquery.h>
-#include <qstring.h>
-#include <qdatetime.h>
-#include <qstringlist.h>
-#include <qfileinfo.h>
 
+#include <QSqlDatabase>
+#include <QSqlQuery>
+#include <QString>
+#include <QDateTime>
+#include <QStringList>
+#include <QFileInfo>
+
 #include <iostream>
 #include <cstdlib>
+
 using namespace std;
 
 #include "housekeeper.h"
Index: programs/mythbackend/upnpmedia.cpp
===================================================================
--- programs/mythbackend/upnpmedia.cpp	(revision 20066)
+++ programs/mythbackend/upnpmedia.cpp	(working copy)
@@ -1,10 +1,13 @@
 #include "httprequest.h"
-#include <qfileinfo.h>
-#include <qregexp.h>
-#include <qurl.h>
-#include <qdir.h>
+
+#include <QFileInfo>
+#include <QRegExp>
+#include <QUrl>
+#include <QDir>
+
 #include <limits.h>
 #include <unistd.h>
+
 #include "util.h"
 
 #include <cstdlib>
Index: programs/mythbackend/autoexpire.cpp
===================================================================
--- programs/mythbackend/autoexpire.cpp	(revision 20066)
+++ programs/mythbackend/autoexpire.cpp	(working copy)
@@ -3,10 +3,10 @@
 #include <signal.h>
 
 
-#include <qregexp.h>
-#include <qstring.h>
-#include <qdatetime.h>
-#include <qfileinfo.h>
+#include <QRegExp>
+#include <QString>
+#include <QDateTime>
+#include <QFileInfo>
 
 #include <iostream>
 #include <algorithm>
Index: programs/mythbackend/backendutil.cpp
===================================================================
--- programs/mythbackend/backendutil.cpp	(revision 20066)
+++ programs/mythbackend/backendutil.cpp	(working copy)
@@ -8,9 +8,9 @@
 #include <sys/vfs.h>
 #endif
 
-#include <qdir.h>
-#include <qmutex.h>
-#include <qmap.h>
+#include <QDir>
+#include <QMutex>
+#include <QMap>
 
 #include "backendutil.h"
 #include "remoteutil.h"
Index: programs/mythbackend/filetransfer.h
===================================================================
--- programs/mythbackend/filetransfer.h	(revision 20066)
+++ programs/mythbackend/filetransfer.h	(working copy)
@@ -9,9 +9,9 @@
 using namespace std;
 
 // Qt headers
-#include <qstring.h>
-#include <qmutex.h>
-#include <qwaitcondition.h>
+#include <QString>
+#include <QMutex>
+#include <QWaitCondition>
 
 class ProgramInfo;
 class RingBuffer;
Index: programs/mythtv-setup/channeleditor.cpp
===================================================================
--- programs/mythtv-setup/channeleditor.cpp	(revision 20066)
+++ programs/mythtv-setup/channeleditor.cpp	(working copy)
@@ -1,11 +1,13 @@
-#include <qsqldatabase.h>
+#include <QSqlDatabase>
+#include <QKeyEvent>
+#include <QEvent>
+#include <QApplication>
+
 #include "settings.h"
 #include "mythcontext.h"
 #include "mythdb.h"
 #include "channeleditor.h"
 
-#include <QApplication>
-
 #include <mythdialogs.h>
 #include <mythwizard.h>
 
Index: programs/mythtv-setup/channeleditor.h
===================================================================
--- programs/mythtv-setup/channeleditor.h	(revision 20066)
+++ programs/mythtv-setup/channeleditor.h	(working copy)
@@ -4,6 +4,8 @@
 #include "mythscreentype.h"
 
 #include "settings.h"
+#include <QKeyEvent>
+#include <QEvent>
 
 class MythUIButton;
 class MythUIButtonList;
Index: programs/mythtv-setup/importicons.cpp
===================================================================
--- programs/mythtv-setup/importicons.cpp	(revision 20066)
+++ programs/mythtv-setup/importicons.cpp	(working copy)
@@ -3,6 +3,7 @@
 #include <QBuffer>
 #include <QDir>
 #include <QFileInfo>
+#include <QEvent>
 
 #include "mythcontext.h"
 #include "mythdb.h"
Index: programs/mythtv-setup/mythtv-setup.pro
===================================================================
--- programs/mythtv-setup/mythtv-setup.pro	(revision 20066)
+++ programs/mythtv-setup/mythtv-setup.pro	(working copy)
@@ -36,3 +36,4 @@
 
 using_x11:DEFINES += USING_X11
 
+QT +=  opengl qt3support 
Index: programs/mythtv-setup/importicons.h
===================================================================
--- programs/mythtv-setup/importicons.h	(revision 20066)
+++ programs/mythtv-setup/importicons.h	(working copy)
@@ -15,6 +15,7 @@
 
 #include <QUrl>
 #include <QDir>
+#include <QEvent>
 
 #include "mythscreentype.h"
 
Index: programs/mythlcdserver/lcdserver.h
===================================================================
--- programs/mythlcdserver/lcdserver.h	(revision 20066)
+++ programs/mythlcdserver/lcdserver.h	(working copy)
@@ -7,8 +7,8 @@
 
 */
 
-#include <qobject.h>
-#include <qstringlist.h>
+#include <QObject>
+#include <QStringList>
 
 #include "serversocket.h"
 #include "lcdprocclient.h"
Index: programs/mythlcdserver/main.cpp
===================================================================
--- programs/mythlcdserver/main.cpp	(revision 20066)
+++ programs/mythlcdserver/main.cpp	(working copy)
@@ -13,7 +13,7 @@
 
 #include <QApplication>
 #include <QFile>
-#include <q3textstream.h>
+#include <QTextStream>
 
 #include "exitcodes.h"
 #include "mythcontext.h"
Index: programs/mythlcdserver/serversocket.h
===================================================================
--- programs/mythlcdserver/serversocket.h	(revision 20066)
+++ programs/mythlcdserver/serversocket.h	(working copy)
@@ -10,11 +10,10 @@
 
 */
 
-#include <q3socket.h>
-#include <q3serversocket.h>
+#include <Q3Socket>
+#include <Q3ServerSocket>
 
 
-
 class LCDServerSocket : public Q3ServerSocket
 {
 
Index: programs/mythlcdserver/lcdprocclient.cpp
===================================================================
--- programs/mythlcdserver/lcdprocclient.cpp	(revision 20066)
+++ programs/mythlcdserver/lcdprocclient.cpp	(working copy)
@@ -11,8 +11,10 @@
 #include <stdlib.h>
 #include <cmath>
 
-#include <qapplication.h>
-#include <q3textstream.h>
+#include <QApplication>
+#include <QTextStream>
+#include <Q3PtrList>
+#include <QEvent>
 
 #include "lcdprocclient.h"
 #include "mythcontext.h"
@@ -158,7 +160,7 @@
 
     if (!connected)
     {
-        Q3TextStream os(socket);
+        QTextStream os(socket);
         socket->connectToHost(hostname, port);
 
         while (--timeout && socket->state() != Q3Socket::Idle)
@@ -197,8 +199,8 @@
         return;
     }
 
-    Q3TextStream os(socket);
-    os.setEncoding(Q3TextStream::Latin1);
+    QTextStream os(socket);
+    os.setEncoding(QTextStream::Latin1);
 
     last_command = someText;
 
Index: programs/mythlcdserver/lcdserver.cpp
===================================================================
--- programs/mythlcdserver/lcdserver.cpp	(revision 20066)
+++ programs/mythlcdserver/lcdserver.cpp	(working copy)
@@ -56,10 +56,11 @@
 */
 
 #include <stdlib.h>
-#include <qstringlist.h>
-#include <qregexp.h>
-#include <qdir.h>
-#include <qapplication.h>
+
+#include <QStringList>
+#include <QRegExp>
+#include <QDir>
+#include <QApplication>
 #include <Q3PtrList>
 
 #include "util.h"
Index: programs/mythlcdserver/mythlcdserver.pro
===================================================================
--- programs/mythlcdserver/mythlcdserver.pro	(revision 20066)
+++ programs/mythlcdserver/mythlcdserver.pro	(working copy)
@@ -13,5 +13,4 @@
 
 SOURCES += main.cpp lcdserver.cpp serversocket.cpp lcdprocclient.cpp 
 
-#The following line was inserted by qt3to4
 QT += network xml  sql opengl qt3support
Index: programs/mythlcdserver/lcdprocclient.h
===================================================================
--- programs/mythlcdserver/lcdprocclient.h	(revision 20066)
+++ programs/mythlcdserver/lcdprocclient.h	(working copy)
@@ -1,12 +1,12 @@
 #ifndef LCDPROCCLIENT_H_
 #define LCDPROCCLIENT_H_
 
-#include <qobject.h>
-#include <qstringlist.h>
-#include <q3valuevector.h>
-#include <q3socket.h>
-#include <qtimer.h>
-#include <qdatetime.h>
+#include <QObject>
+#include <QStringList>
+#include <Q3ValueVector>
+#include <Q3Socket>
+#include <QTimer>
+#include <QDateTime>
 #include <QEvent>
 #include <Q3PtrList>
 
Index: programs/mythtv/mythtv.pro
===================================================================
--- programs/mythtv/mythtv.pro	(revision 20066)
+++ programs/mythtv/mythtv.pro	(working copy)
@@ -23,3 +23,4 @@
 }
 
 using_x11:DEFINES += USING_X11
+QT +=  qt3support 
Index: programs/mythwelcome/welcomedialog.h
===================================================================
--- programs/mythwelcome/welcomedialog.h	(revision 20066)
+++ programs/mythwelcome/welcomedialog.h	(working copy)
@@ -3,6 +3,8 @@
 
 // qt
 #include <QDateTime>
+#include <QEvent>
+#include <QKeyEvent>
 
 // myth
 #include "remoteutil.h"
Index: programs/mythwelcome/mythwelcome.pro
===================================================================
--- programs/mythwelcome/mythwelcome.pro	(revision 20066)
+++ programs/mythwelcome/mythwelcome.pro	(working copy)
@@ -21,3 +21,4 @@
 # Input
 HEADERS += welcomedialog.h welcomesettings.h
 SOURCES += main.cpp welcomedialog.cpp welcomesettings.cpp
+QT += network  opengl qt3support 
Index: programs/mythwelcome/welcomedialog.cpp
===================================================================
--- programs/mythwelcome/welcomedialog.cpp	(revision 20066)
+++ programs/mythwelcome/welcomedialog.cpp	(working copy)
@@ -5,7 +5,7 @@
 #include <unistd.h>
 
 // qt
-#include <qapplication.h>
+#include <QApplication>
 #include <QKeyEvent>
 #include <QLabel>
 #include <QEvent>
Index: programs/mythtvosd/mythtvosd.pro
===================================================================
--- programs/mythtvosd/mythtvosd.pro	(revision 20066)
+++ programs/mythtvosd/mythtvosd.pro	(working copy)
@@ -18,3 +18,4 @@
 SOURCES += main.cpp
 
 mingw: LIBS += -lpthread -lwinmm -lws2_32
+QT += xml  sql opengl qt3support 
Index: programs/mythtvosd/main.cpp
===================================================================
--- programs/mythtvosd/main.cpp	(revision 20066)
+++ programs/mythtvosd/main.cpp	(working copy)
@@ -9,11 +9,11 @@
 using namespace std;
 
 // Qt headers
-#include <qapplication.h>
+#include <QApplication>
 #include <QUdpSocket>
-#include <qstring.h>
-#include <qfile.h>
-#include <qhostaddress.h>
+#include <QString>
+#include <QFile>
+#include <QHostAddress>
 
 // MythTV headers
 #include "exitcodes.h"
Index: programs/mythfilldatabase/filldata.cpp
===================================================================
--- programs/mythfilldatabase/filldata.cpp	(revision 20066)
+++ programs/mythfilldatabase/filldata.cpp	(working copy)
@@ -11,10 +11,10 @@
 using namespace std;
 
 // Qt headers
-#include <qmap.h>
-#include <qdatetime.h>
-#include <qdir.h>
-#include <qfile.h>
+#include <QMap>
+#include <QDateTime>
+#include <QDir>
+#include <QFile>
 #include <QProcess>
 #include <QList>
 
Index: programs/mythfilldatabase/icondata.cpp
===================================================================
--- programs/mythfilldatabase/icondata.cpp	(revision 20066)
+++ programs/mythfilldatabase/icondata.cpp	(working copy)
@@ -3,9 +3,10 @@
 #include <signal.h>
 
 // Qt headers
-#include <qdom.h>
-#include <qfile.h>
-#include <qfileinfo.h>
+#include <QDomNode>
+#include <QFile>
+#include <QFileInfo>
+#include <QTextStream>
 
 #include <iostream>
 #include <cstdlib>
Index: programs/mythfilldatabase/fillutil.cpp
===================================================================
--- programs/mythfilldatabase/fillutil.cpp	(revision 20066)
+++ programs/mythfilldatabase/fillutil.cpp	(working copy)
@@ -1,6 +1,6 @@
 // Qt headers
-#include <qfile.h>
-#include <qdir.h>
+#include <QFile>
+#include <QDir>
 
 // libmyth headers
 #include "mythcontext.h"
Index: programs/mythfilldatabase/filldata.h
===================================================================
--- programs/mythfilldatabase/filldata.h	(revision 20066)
+++ programs/mythfilldatabase/filldata.h	(working copy)
@@ -6,7 +6,7 @@
 using namespace std;
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // libmythtv headers
 #include "datadirect.h"
Index: programs/mythfilldatabase/channeldata.h
===================================================================
--- programs/mythfilldatabase/channeldata.h	(revision 20066)
+++ programs/mythfilldatabase/channeldata.h	(working copy)
@@ -2,7 +2,7 @@
 #define _CHANNELDATA_H_
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 #include <QList>
 
 class ChanInfo
Index: programs/mythfilldatabase/icondata.h
===================================================================
--- programs/mythfilldatabase/icondata.h	(revision 20066)
+++ programs/mythfilldatabase/icondata.h	(working copy)
@@ -1,9 +1,6 @@
 #ifndef _ICONMAP_H_
 #define _ICONMAP_H_
 
-class QString;
-class QFile;
-
 class IconData
 {
   public:
Index: programs/mythfilldatabase/xmltvparser.cpp
===================================================================
--- programs/mythfilldatabase/xmltvparser.cpp	(revision 20066)
+++ programs/mythfilldatabase/xmltvparser.cpp	(working copy)
@@ -3,10 +3,9 @@
 #include <QStringList>
 #include <QDateTime>
 #include <QUrl>
+#include <Q3Url>
 #include <QDomDocument>
 
-#include <q3url.h>
-
 // C++ headers
 #include <iostream>
 #include <cstdlib>
Index: programs/mythfilldatabase/fillutil.h
===================================================================
--- programs/mythfilldatabase/fillutil.h	(revision 20066)
+++ programs/mythfilldatabase/fillutil.h	(working copy)
@@ -5,10 +5,8 @@
 #include <cstdio>
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
-class QFile;
-
 bool dash_open(QFile &file, const QString &filename,
                int m, FILE *handle = NULL);
 
Index: programs/mythfilldatabase/mythfilldatabase.pro
===================================================================
--- programs/mythfilldatabase/mythfilldatabase.pro	(revision 20066)
+++ programs/mythfilldatabase/mythfilldatabase.pro	(working copy)
@@ -21,3 +21,4 @@
 SOURCES += icondata.cpp xmltvparser.cpp
 SOURCES += fillutil.cpp
 SOURCES += main.cpp
+QT +=  opengl 
Index: programs/mythfilldatabase/xmltvparser.h
===================================================================
--- programs/mythfilldatabase/xmltvparser.h	(revision 20066)
+++ programs/mythfilldatabase/xmltvparser.h	(working copy)
@@ -8,8 +8,6 @@
 
 class ProgInfo;
 class ChanInfo;
-class QUrl;
-class QDomElement;
 
 class XMLTVParser
 {
Index: programs/mythshutdown/mythshutdown.pro
===================================================================
--- programs/mythshutdown/mythshutdown.pro	(revision 20066)
+++ programs/mythshutdown/mythshutdown.pro	(working copy)
@@ -15,3 +15,4 @@
 # Input
 HEADERS += 
 SOURCES += main.cpp
+QT += xml network  opengl qt3support 
Index: bindings/python/python.pro
===================================================================
--- bindings/python/python.pro	(revision 20066)
+++ bindings/python/python.pro	(working copy)
@@ -20,3 +20,4 @@
 QMAKE_LINK=@-echo
 QMAKE_EXTRA_UNIX_TARGETS += python_build
 INSTALLS += python_install
+QT += xml network  sql opengl qt3support 
Index: bindings/perl/perl.pro
===================================================================
--- bindings/perl/perl.pro	(revision 20066)
+++ bindings/perl/perl.pro	(working copy)
@@ -26,3 +26,4 @@
 PRE_TARGETDEPS += perl_build
 QMAKE_EXTRA_UNIX_TARGETS += mythperlbindings mythperbindingsbuild phony perl_clean qmake_clean perl_install
 
+QT += xml network  sql opengl qt3support 
Index: settings.pro
===================================================================
--- settings.pro	(revision 20066)
+++ settings.pro	(working copy)
@@ -1,9 +1,6 @@
 CONFIG += $$CCONFIG
 
-#check QT major version
-contains(QT_MAJOR_VERSION, 3) {
-        error("Not building against Qt4")
-}
+QT += qt3support
 
 # Where binaries, includes and runtime assets are installed by 'make install'
 isEmpty( PREFIX ) {
Index: filters/linearblend/linearblend.pro
===================================================================
--- filters/linearblend/linearblend.pro	(revision 20066)
+++ filters/linearblend/linearblend.pro	(working copy)
@@ -5,3 +5,4 @@
 
 # Input
 SOURCES += filter_linearblend.c
+QT += xml network  sql opengl qt3support 
Index: filters/quickdnr/quickdnr.pro
===================================================================
--- filters/quickdnr/quickdnr.pro	(revision 20066)
+++ filters/quickdnr/quickdnr.pro	(working copy)
@@ -5,3 +5,4 @@
 
 # Input
 SOURCES += filter_quickdnr.c
+QT += xml network  sql opengl qt3support 
Index: filters/onefield/onefield.pro
===================================================================
--- filters/onefield/onefield.pro	(revision 20066)
+++ filters/onefield/onefield.pro	(working copy)
@@ -4,3 +4,4 @@
 
 # Input
 SOURCES += filter_onefield.c
+QT += xml network  sql opengl qt3support 
Index: filters/bobdeint/bobdeint.pro
===================================================================
--- filters/bobdeint/bobdeint.pro	(revision 20066)
+++ filters/bobdeint/bobdeint.pro	(working copy)
@@ -4,3 +4,4 @@
 
 # Input
 SOURCES += filter_bobdeint.c
+QT += xml network  sql opengl qt3support 
Index: filters/adjust/adjust.pro
===================================================================
--- filters/adjust/adjust.pro	(revision 20066)
+++ filters/adjust/adjust.pro	(working copy)
@@ -5,3 +5,4 @@
 
 # Input
 SOURCES += filter_adjust.c
+QT += xml network  sql opengl qt3support 
Index: filters/yadif/yadif.pro
===================================================================
--- filters/yadif/yadif.pro	(revision 20066)
+++ filters/yadif/yadif.pro	(working copy)
@@ -11,3 +11,4 @@
 }
 
 macx:debug:DEFINES -= MMX
+QT += xml network  sql opengl qt3support 
Index: filters/force/force.pro
===================================================================
--- filters/force/force.pro	(revision 20066)
+++ filters/force/force.pro	(working copy)
@@ -4,3 +4,4 @@
 
 # Input
 SOURCES += filter_force.c
+QT += xml network  sql opengl qt3support 
Index: filters/crop/crop.pro
===================================================================
--- filters/crop/crop.pro	(revision 20066)
+++ filters/crop/crop.pro	(working copy)
@@ -5,3 +5,4 @@
 
 # Input
 SOURCES += filter_crop.c
+QT += xml network  sql opengl qt3support 
Index: filters/kerneldeint/kerneldeint.pro
===================================================================
--- filters/kerneldeint/kerneldeint.pro	(revision 20066)
+++ filters/kerneldeint/kerneldeint.pro	(working copy)
@@ -10,3 +10,4 @@
 
 # Input
 SOURCES += filter_kerneldeint.c
+QT += xml network  sql opengl qt3support 
Index: filters/ivtc/ivtc.pro
===================================================================
--- filters/ivtc/ivtc.pro	(revision 20066)
+++ filters/ivtc/ivtc.pro	(working copy)
@@ -5,3 +5,4 @@
 
 # Input
 SOURCES += pullup.c filter_ivtc.c
+QT += xml network  sql opengl qt3support 
Index: filters/invert/invert.pro
===================================================================
--- filters/invert/invert.pro	(revision 20066)
+++ filters/invert/invert.pro	(working copy)
@@ -4,3 +4,4 @@
 
 # Input
 SOURCES += filter_invert.c
+QT += xml network  sql opengl qt3support 
Index: filters/greedyhdeint/greedyhdeint.pro
===================================================================
--- filters/greedyhdeint/greedyhdeint.pro	(revision 20066)
+++ filters/greedyhdeint/greedyhdeint.pro	(working copy)
@@ -7,3 +7,4 @@
 SOURCES += filter_greedyhdeint.c color.c
 
 macx : QMAKE_LFLAGS += -read_only_relocs warning
+QT += xml network  sql opengl qt3support 
Index: filters/denoise3d/denoise3d.pro
===================================================================
--- filters/denoise3d/denoise3d.pro	(revision 20066)
+++ filters/denoise3d/denoise3d.pro	(working copy)
@@ -5,3 +5,4 @@
 
 # Input
 SOURCES += filter_denoise3d.c
+QT += xml network  sql opengl qt3support 
